{% extends "base.html" %}
{% block title %}Course {{ course.name }}{% endblock %}
{% block navbar %}
  <a class="w3-bar-item w3-btn w3-round-large w3-btn" style="transition: 0.5s; margin: 0.5em;" href="/courses">
    <span class="material-icons" style="font-size: 1em;">school</span>
    View All Courses
  </a>
{% endblock %}
{% block content %}
  <h1>{{ course.name }}</h1>
  <div class="w3-bar">
    <div class="w3-bar-item">
      {% for level_ in levels %}
        <a class="w3-bar-item w3-btn w3-round-large w3-margin-right w3-margin-bottom w3-margin-top w3-border" style="transition: 0.5s;" href="/courses/start?course_uid={{ course.course_uid }}&level={{ level_ }}">
          <span class="material-icons" style="font-size: 1em;">play_arrow</span>
          Level {{ level_ + 1 }}
        </a>
      {% endfor %}
    </div>
  </div>
  <div class="w3-border w3-round-large w3-padding w3-margin">
    Course ID: <span class="w3-codespan">{{ course.course_uid }}</span><br />
    <br />
    Course Description: <br />
    {{ course.desc }}
    <br />
    <br />
    {% if current_user.is_authenticated %}
    {% if 'admin' in current_user.group %}
    Course Notes: <i style="font-size: 0.5em;">(only viewable by admins)</i><br />
    {{ course.notes }}
    {% endif %}
    {% endif %}
  </div>
  {% if current_user.is_authenticated %}
  {% if 'admin' in current_user.group %}
  <div class="w3-border w3-round-large w3-padding w3-margin">
    <h2>Course Content</h2> <i style="font-size: 0.5em;">(only viewable by admins)</i>
    <p>Work In Progress</p>
  </div>
  {% endif %}
  {% endif %}
{% endblock %}